<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports OSB exporting by rending the exportable items.
 *
 * @package    Payment
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Payment_Item extends ORM_OSB {
	// Relationships
	protected $_belongs_to = array(
		'payment'=>array(),
	);
	protected $_has_one = array(
		'invoice'=>array('far_key'=>'invoice_id','foreign_key'=>'id'),
	);

	protected $_display_filters = array(
		'alloc_amt'=>array(
			array('Currency::display',array(':value')),
		),
	);
}
?>
